OpenNMS API 1.2.9

## org.opennms.protocols.snmp.asn1
Class AsnDecodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.protocols.snmp.asn1.AsnDecodingException

All Implemented Interfaces:
  java.io.Serializable

public class AsnDecodingException
extends java.lang.Exception

The AsnDecodingException is generated whenever an error occurs in ASN.1 decoding of data types. The errors are generally buffer underflow errors (insufficent data). Other errors include malformed ASN.1 Types.

Version:
  1.1.1.1
Author:
  OpenNMS , Brian Weaver
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`AsnDecodingException()` The default exception constructor
`AsnDecodingException(java.lang.String why)` The exception constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsnDecodingException

    public AsnDecodingException()

  The default exception constructor

### AsnDecodingException

    public AsnDecodingException(java.lang.String why)

  The exception constructor

Parameters:
  `why` - The reason the exception is being raised

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.